tvbrowser.ui.finder

## Interface DateSelector

- All Known Implementing Classes:
    AbstractCalendarPanel, CalendarPanel, CalendarTablePanel, FinderPanel

      public interface DateSelector

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getComponent()`
    `Date` | `getSelectedDate()`
    `void` | `markDate(Date d, boolean informPluginPanels)`
    `void` | `markDate(Date d, java.lang.Runnable callback, boolean informPluginPanels)`
    `void` | `markNextDate()`
    `void` | `markNextDate(java.lang.Runnable callback)`
    `void` | `markNextWeek()`
    `void` | `markPreviousDate()`
    `void` | `markPreviousDate(java.lang.Runnable callback)`
    `void` | `markPreviousWeek()`
    `void` | `setDateListener(DateListener dateChangedListener)`
    `void` | `updateContent()`
    `void` | `updateItems()`

- - ### Method Detail

    - #### setDateListener

          void setDateListener(DateListener dateChangedListener)

    - #### getComponent

          javax.swing.JComponent getComponent()

    - #### updateContent

          void updateContent()

    - #### markDate

          void markDate(Date d,
                      boolean informPluginPanels)

    - #### markPreviousDate

          void markPreviousDate()

    - #### markNextDate

          void markNextDate()

    - #### markPreviousDate

          void markPreviousDate(java.lang.Runnable callback)

      Since:
        3.3.2

    - #### markNextDate

          void markNextDate(java.lang.Runnable callback)

      Since:
        3.3.2

    - #### markNextWeek

          void markNextWeek()

    - #### markPreviousWeek

          void markPreviousWeek()

    - #### markDate

          void markDate(Date d,
                      java.lang.Runnable callback,
                      boolean informPluginPanels)

    - #### updateItems

          void updateItems()

    - #### getSelectedDate

          Date getSelectedDate()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)